Subject: AIW approval of SNMP over SNA architecture

From: "R.E. (Robert) Moore (254-4436)" <[email-masked]>
Date: Fri, 2 Jun 95 07:07:13 EDT

While everyone was sleeping night before last, the architecture for
SNMP over SNA quietly completed its review and received CP status from
the AIW.  The only comments on the architecture I received were from
Jim Cobban, and I've resolved them as follows:

  - The correct registered value for architectureModules (p. 6) is
    { ibmArchitecture 16 }

  - The descriptive text (p. 7) for the SnmpSNAAddress textual
    convention has been clarified in the area of character sets.
    Jim's comment was directed to the LuName field, but while I was
    fixing that I realized that the TpName field wasn't quite right
    either.  Here's the updated version of the text:

      For an SnmpSNAAddress of length m:

      octets       contents           encoding
        1          length of LuName   n as an unsigned
                                      integer, 3 <= n <= 17
      2..(n+1)     LuName             in the form NetId.LuName,
                                      1-8 octets for NetId from
                                      EBCDIC character set
                                      01134-00500, '.' as separator,
                                      1-8 octets for LuName from EBCDIC
                                      character set 01134-00500
       n+2         length of TpName   p as an unsigned
                                      integer, 1 <= p <= 64
      (n+3)..m     TpName             TpName, in one of two formats:
                                        If octet&lbrk.n+3&rbrk. < X'40',
                                          1-4 octets, with all octets
                                          after the first belonging to
                                          EBCDIC character set 01134-00500
                                        If octet&lbrk.n+3&rbrk. >= X'40',
                                          1-64 characters from EBCDIC
                                          character set 00640-00500

I will replace snmpsna.txt with a version containing these updates today.

Bob Moore